## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# NodeSorter Class Reference

This class can sort vectors of nodes according to a select pattern. More...

Collaboration diagram for NodeSorter:

[legend]
List of all members.

## Public Types

- typedef XalanVector< VectorEntry > NodeVectorType
- typedef XalanVector< NodeSortKey > NodeSortKeyVectorType
- typedef NumberVectorTypeDecl NumberVectorType
- typedef XalanVector< XObjectPtr > XObjectVectorType
- typedef StringVectorTypeDecl StringVectorType
- typedef XalanVector< NumberVectorType > NumberCacheType
- typedef XalanVector< XObjectVectorType > XObjectCacheType
- typedef XalanVector< StringVectorType > StringCacheType
- typedef NumberCacheType NumberResultsCacheType
- typedef StringCacheType StringResultsCacheType

## Public Member Functions

- NodeSorter (MemoryManagerType &theManager)
- ~NodeSorter ()
- NodeSortKeyVectorType & getSortKeys ()
- void sort (StylesheetExecutionContext &executionContext, MutableNodeRefList &theList)
    Given a list of nodes, sort each node according to the criteria in the keys.

## Friends

- struct NodeSortKeyCompare

## Detailed Description

This class can sort vectors of nodes according to a select pattern.

## Member Typedef Documentation

typedef XalanVector<NodeSortKey> NodeSorter::NodeSortKeyVectorType

typedef XalanVector<VectorEntry> NodeSorter::NodeVectorType

typedef XalanVector<NumberVectorType> NodeSorter::NumberCacheType

typedef NumberCacheType NodeSorter::NumberResultsCacheType

typedef NumberVectorTypeDecl NodeSorter::NumberVectorType

typedef XalanVector<StringVectorType> NodeSorter::StringCacheType

typedef StringCacheType NodeSorter::StringResultsCacheType

typedef StringVectorTypeDecl NodeSorter::StringVectorType

typedef XalanVector<XObjectVectorType> NodeSorter::XObjectCacheType

typedef XalanVector<XObjectPtr> NodeSorter::XObjectVectorType

## Constructor & Destructor Documentation

NodeSorter::NodeSorter | ( | MemoryManagerType & | theManager | ) | `[explicit]`

NodeSorter::~NodeSorter | ( |  | ) |

## Member Function Documentation

NodeSortKeyVectorType& NodeSorter::getSortKeys | ( |  | ) |

void NodeSorter::sort | ( | StylesheetExecutionContext & | executionContext,
|  | MutableNodeRefList & | theList
| ) |

  | Given a list of nodes, sort each node according to the criteria in the keys. The list is assumed to be in document order. Parameters:
  executionContext | current execution context
  v | list of Nodes

## Friends And Related Function Documentation

friend struct NodeSortKeyCompare`[friend]`

The documentation for this class was generated from the following file:

- NodeSorter.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.